Bug 20035 - Failed to build with gcc4.4
: Failed to build with gcc4.4
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openldap)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
: patch
:
: 20036
  Show dependency tree
 
Reported: 2009-05-14 09:11 by
Modified: 2009-05-19 03:39 (History)


Attachments
gcc4.patch (1.37 KB, patch)
2009-05-14 09:11, Vladimir V. Kamarzin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-14 09:11:46
Created an attachment (id=3532) [details]
gcc4.patch

libtool: compile:  cc -pipe -Wall -O2 -march=i586 -mtune=i686 -D_GNU_SOURCE
-I../../include -I../../include -I/usr/include/krb5 -I/usr/include/et
-DLOG_DAEMON=1 -DLDAP_LIBRARY -c os-ip.c  -fPIC -DPIC -o .libs/os-ip.o
os-ip.c: In function 'ldap_pvt_ndelay_on':
os-ip.c:100: warning: too many arguments for format
os-ip.c: In function 'ldap_pvt_ndelay_off':
os-ip.c:107: warning: too many arguments for format
os-ip.c: In function 'ldap_int_socket':
os-ip.c:115: warning: too many arguments for format
os-ip.c: In function 'ldap_pvt_close_socket':
os-ip.c:125: warning: too many arguments for format
os-ip.c: In function 'ldap_int_prepare_socket':
os-ip.c:132: warning: too many arguments for format
os-ip.c:141: warning: too many arguments for format
os-ip.c:150: warning: too many arguments for format
os-ip.c: In function 'ldap_pvt_is_socket_ready':
os-ip.c:178: warning: too many arguments for format
os-ip.c:210: warning: ignoring return value of 'read', declared with attribute
warn_unused_result
os-ip.c: In function 'ldap_pvt_connect':
os-ip.c:358: warning: too many arguments for format
os-ip.c: In function 'ldap_connect_to_host':
os-ip.c:407: warning: too many arguments for format
os-ip.c:412: warning: too many arguments for format
os-ip.c:417: warning: too many arguments for format
os-ip.c:444: warning: too many arguments for format
os-ip.c:452: warning: too many arguments for format
os-ip.c:484: warning: too many arguments for format
os-ip.c:655:30: error: missing ')' after "defined"
os-ip.c: In function 'ldap_int_select':
os-ip.c:924: warning: too many arguments for format
make[2]: *** [os-ip.lo] Error 1
make[2]: Leaving directory
`/usr/src/RPM/BUILD/openldap-2.3.43/libraries/libldap'
make[1]: Leaving directory `/usr/src/RPM/BUILD/openldap-2.3.43/libraries'
make[1]: *** [all-common] Error 1
make: make: Leaving directory `/usr/src/RPM/BUILD/openldap-2.3.43'
*** [all-common] Error 1


http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505421

Возможно, имеет смысл посмотреть, как это исправили в апстриме в 2.4.x.
Дебиановский патч в аттаче.
------- Comment #1 From 2009-05-19 03:39:54 -------
openldap-2.3.43-alt2.2 -> sisyphus:

* Mon May 18 2009 Dmitry V. Levin <ldv@altlinux> 2.3.43-alt2.2

- NMU.
- Backported upstream build fixes with fresh toolchain (closes: #20035).
- Rebuilt slapd with libsasl2-2.1.24-alt1.cvs.20090508 (closes: #20036).
- Packaged openldap-doc as noarch package.